org.keycloak.events.admin

## Interface AdminEventQuery

- All Known Implementing Classes:
    JpaAdminEventQuery, MongoAdminEventQuery

      public interface AdminEventQuery

  Author:
    Stian Thorgersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminEventQuery` | `authClient(String clientId)` Search by authenticated client
    `AdminEventQuery` | `authIpAddress(String ipAddress)` Search by request ip address
    `AdminEventQuery` | `authRealm(String realmId)` Search by authentication realm
    `AdminEventQuery` | `authUser(String userId)` Search by authenticated user
    `AdminEventQuery` | `firstResult(int first)` Used for pagination
    `AdminEventQuery` | `fromTime(Date fromTime)` Search by events after the specified time
    `List<AdminEvent>` | `getResultList()` Executes the query and returns the results
    `AdminEventQuery` | `maxResults(int max)` Use for pagination
    `AdminEventQuery` | `operation(OperationType... operations)` Search by operation type
    `AdminEventQuery` | `realm(String realmId)` Search by resource realm
    `AdminEventQuery` | `resourcePath(String resourcePath)` Search by resource path.
    `AdminEventQuery` | `resourceType(ResourceType... resourceTypes)` Search by `ResourceType`.
    `AdminEventQuery` | `toTime(Date toTime)` Search by events before the specified time

- - ### Method Detail

    - #### realm

          AdminEventQuery realm(String realmId)

      Search by resource realm
      Parameters:
        `realmId` - realm id
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authRealm

          AdminEventQuery authRealm(String realmId)

      Search by authentication realm
      Parameters:
        `realmId` - realm name
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authClient

          AdminEventQuery authClient(String clientId)

      Search by authenticated client
      Parameters:
        `clientId` - client uuid
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authUser

          AdminEventQuery authUser(String userId)

      Search by authenticated user
      Parameters:
        `userId` - user uuid
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authIpAddress

          AdminEventQuery authIpAddress(String ipAddress)

      Search by request ip address
      Parameters:
        `ipAddress` -
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### operation

          AdminEventQuery operation(OperationType... operations)

      Search by operation type
      Parameters:
        `operations` -
      Returns:
        `this` for method chaining

    - #### resourceType

          AdminEventQuery resourceType(ResourceType... resourceTypes)

      Search by `ResourceType`.
      Parameters:
        `resourceTypes` -
      Returns:
        `this` for method chaining

    - #### resourcePath

          AdminEventQuery resourcePath(String resourcePath)

      Search by resource path. Supports wildcards `*` and `**`. For example:
      - */master - matches 'realms/master'
      - **/00d4b16f - matches 'realms/master/clients/00d4b16f'
      - realms/master/** - matches anything under 'realms/master'
      Parameters:
        `resourcePath` -
      Returns:
        `this` for method chaining

    - #### fromTime

          AdminEventQuery fromTime(Date fromTime)

      Search by events after the specified time
      Parameters:
        `fromTime` - from date
      Returns:
        `this` for method chaining

    - #### toTime

          AdminEventQuery toTime(Date toTime)

      Search by events before the specified time
      Parameters:
        `toTime` - to date
      Returns:
        `this` for method chaining

    - #### firstResult

          AdminEventQuery firstResult(int first)

      Used for pagination
      Parameters:
        `first` - first result to return
      Returns:
        `this` for method chaining

    - #### maxResults

          AdminEventQuery maxResults(int max)

      Use for pagination
      Parameters:
        `max` - the maximum results to return
      Returns:
        `this` for method chaining

    - #### getResultList

          List<AdminEvent> getResultList()

      Executes the query and returns the results
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.